Loading...
Searching...
No Matches
detail::nodes_handler Struct Reference

`#include <attr.hpp>`

Inheritance diagram for detail::nodes_handler:
[legend]

## Static Public Member Functions

template<typename TDummy >
static void | set_value (WayNodeListBuilder &, const TDummy &) noexcept
static void | set_value (WayNodeListBuilder &builder, const attr::_node &node_ref)
template<typename TIterator >
static void | set_value (WayNodeListBuilder &builder, const attr::detail::nodes_from_iterator_pair< TIterator > &nodes)

## Member Function Documentation

## set_value() [1/3]

template<typename TDummy >

static void detail::nodes_handler::set_value | ( | WayNodeListBuilder & | ,
|  | const TDummy & |
| ) |  |

inlinestaticnoexcept

## set_value() [2/3]

static void detail::nodes_handler::set_value | ( | WayNodeListBuilder & | builder,
|  | const attr::_node & | node_ref
| ) |  |

inlinestatic

## set_value() [3/3]

template<typename TIterator >

static void detail::nodes_handler::set_value | ( | WayNodeListBuilder & | builder,
|  | const attr::detail::nodes_from_iterator_pair< TIterator > & | nodes
| ) |  |

inlinestatic

The documentation for this struct was generated from the following file:

- include/osmium/builder/attr.hpp